src/fvm/fvm_neighborhood.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
fvm_neighborhood.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <limits.h>`
`#include <math.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_box.h"`
`#include "fvm_box_tree.h"`
`#include "cs_order.h"`
`#include "cs_part_to_block.h"`
`#include "cs_timer.h"`
`#include "fvm_neighborhood.h"`
Include dependency graph for fvm_neighborhood.c:

## Functions
fvm_neighborhood_t * | fvm_neighborhood_create (void)
void | fvm_neighborhood_destroy (fvm_neighborhood_t **n)
void | fvm_neighborhood_set_options (fvm_neighborhood_t *n, int max_tree_depth, int leaf_threshold, float max_box_ratio, float max_box_ratio_distrib)
void | fvm_neighborhood_get_data (const fvm_neighborhood_t *n, cs_lnum_t *n_elts, cs_gnum_t **const elt_num, cs_lnum_t **const neighbor_index, cs_gnum_t **const neighbor_num)
void | fvm_neighborhood_transfer_data (fvm_neighborhood_t *n, cs_lnum_t *n_elts, cs_gnum_t **elt_num, cs_lnum_t **neighbor_index, cs_gnum_t **neighbor_num)
void | fvm_neighborhood_by_boxes (fvm_neighborhood_t *n, int dim, cs_lnum_t n_boxes, const cs_gnum_t *box_gnum, const cs_coord_t *extents, cs_gnum_t **box_gnum_assigned, cs_coord_t **extents_assigned)
void | fvm_neighborhood_prune (fvm_neighborhood_t *n)
int | fvm_neighborhood_get_box_stats (const fvm_neighborhood_t *n, int depth[3], cs_lnum_t n_leaves[3], cs_lnum_t n_boxes[3], cs_lnum_t n_threshold_leaves[3], cs_lnum_t n_leaf_boxes[3], size_t mem_final[3], size_t mem_required[3])
void | fvm_neighborhood_get_times (const fvm_neighborhood_t *n, double *build_wtime, double *build_cpu_time, double *query_wtime, double *query_cpu_time)
void | fvm_neighborhood_dump (const fvm_neighborhood_t *n)

## Function Documentation

void fvm_neighborhood_by_boxes | ( | fvm_neighborhood_t * | n,
|  | int | dim,
|  | cs_lnum_t | n_boxes,
|  | const cs_gnum_t * | box_gnum,
|  | const cs_coord_t * | extents,
|  | cs_gnum_t ** | box_gnum_assigned,
|  | cs_coord_t ** | extents_assigned
| ) |  |

fvm_neighborhood_t* fvm_neighborhood_create | ( | void |  | ) |

void fvm_neighborhood_destroy | ( | fvm_neighborhood_t ** | n | ) |

void fvm_neighborhood_dump | ( | const fvm_neighborhood_t * | n | ) |

int fvm_neighborhood_get_box_stats | ( | const fvm_neighborhood_t * | n,
|  | int | depth[3],
|  | cs_lnum_t | n_leaves[3],
|  | cs_lnum_t | n_boxes[3],
|  | cs_lnum_t | n_threshold_leaves[3],
|  | cs_lnum_t | n_leaf_boxes[3],
|  | size_t | mem_final[3],
|  | size_t | mem_required[3]
| ) |  |

void fvm_neighborhood_get_data | ( | const fvm_neighborhood_t * | n,
|  | cs_lnum_t * | n_elts,
|  | cs_gnum_t **const | elt_num,
|  | cs_lnum_t **const | neighbor_index,
|  | cs_gnum_t **const | neighbor_num
| ) |  |

void fvm_neighborhood_get_times | ( | const fvm_neighborhood_t * | n,
|  | double * | build_wtime,
|  | double * | build_cpu_time,
|  | double * | query_wtime,
|  | double * | query_cpu_time
| ) |  |

void fvm_neighborhood_prune | ( | fvm_neighborhood_t * | n | ) |

void fvm_neighborhood_set_options | ( | fvm_neighborhood_t * | n,
|  | int | max_tree_depth,
|  | int | leaf_threshold,
|  | float | max_box_ratio,
|  | float | max_box_ratio_distrib
| ) |  |

void fvm_neighborhood_transfer_data | ( | fvm_neighborhood_t * | n,
|  | cs_lnum_t * | n_elts,
|  | cs_gnum_t ** | elt_num,
|  | cs_lnum_t ** | neighbor_index,
|  | cs_gnum_t ** | neighbor_num
| ) |  |